Subject: RE: [Sipforum-discussion] SIP INFO and RFC 2833 support?

From: [email-masked]
Date: Tue, 21 Dec 2004 09:20:15 +0530

Hi,
 
SIP INFO method should not be used for DTMF Signaling.
Please look at the App-Interaction Frameworks and KPML drafts.
 
Regards,
Sreeram
 
-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Vijay
Shanmugam
Sent: Tuesday, December 21, 2004 8:34 AM
To: Madabhushi Pramod
Cc: [email-masked];
[email-masked]; [email-masked]
Subject: Re: [Sipforum-discussion] SIP INFO and RFC 2833 support?

	Hi,
	 
	1) What is the latest draft on SIP INFO?
	The RFC we are following is 2976.
	 
	But recently I had noticed a draft saying SIP INFO harmful.
	
http://www.softarmor.com/wgdb/docs/draft-rosenberg-sip-info-harmful-00.t
xt

	2) Is it mandatory to signal DTMF via SIP INFO?
	It is not mandatory to use SIP INFO for DTMF. For normal calls,
just an inband RFC 2833 DTMF implementation is enough.
	 
	But if you are willing to provide 3rd party call control
service, where you do not have direct control over media and you just
have control over signaling, implementation of out-of-band DTMF
signaling using SIP INFO becomes mandatory. 
	 
	Thanks & regards,
	Vijay Shanmugam
	2476, Swedesford Road,
	Malvern, PA 19355.
	Ph: 610 648 4547

	[email-masked] wrote: -----
	
	To: [email-masked],
[email-masked], [email-masked]
	From: Madabhushi Pramod <[email-masked]>
	Sent by: [email-masked]
	Date: 12/20/2004 08:45PM
	Subject: [Sipforum-discussion] SIP INFO and RFC 2833 support?
	
	Hi all,
	
	I have couple of questions:
	
	1) What is the latest draft on SIP INFO?
	2) Is it mandatory to signal DTMF via SIP INFO?
	3) Do SIP vendors support RFC 2833 for G711 along with
	G729 also? I mean is it common for vendors to support
	RFC 2833 for G711?
	
	Any help is appreciated.
	
	Thanks,
	Pramod Madabhushi 
	
	=====
	Pramod Madabhushi
	email: [email-masked],
	      [email-masked]
	Phone:001-408-204-8077

	__________________________________ 
	Do you Yahoo!? 
	All your favorites on one personal page - Try My Yahoo!
	http://my.yahoo.com 
	------
	To unsubscribe from the Sipforum-discussion mailing list visit
https://mbox.su.se/mailman/listinfo/sipforum-discussion
	
	------ To unsubscribe from the Sipforum-discussion mailing list
visit https://mbox.su.se/mailman/listinfo/sipforum-discussion 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf